%define thunarver 0.9.0

Name:           thunar-volman
Version:        0.2.0
Release:        2%{?dist}
Summary:        Automatic management of removable drives and media for the Thunar file manager

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://foo-projects.org/~benny/projects/thunar-volman/
Source0:        http://download.berlios.de/xfce-goodies/thunar-volman-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  Thunar-devel >= 0.5.1
BuildRequires:  hal-devel >= 0.5.0
BuildRequires:  dbus-glib-devel >= 0.34
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)
BuildRequires:  desktop-file-utils
Requires:       Thunar >= %{thunarver}

%description
The Thunar Volume Manager is an extension for the Thunar file manager, which 
enables automatic management of removable drives and media. For example, if 
thunar-volman is installed and configured properly, and you plug in your 
digital camera, it will automatically launch your preferred photo application 
and import the new pictures from the camera into your photo collection.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --remove-category=DesktopSettings                       \
        --add-category=HardwareSettings                         \
        --add-only-show-in=XFCE                                 \
        --delete-original                                       \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-settings.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%{_bindir}/thunar-volman
%{_datadir}/icons/hicolor/48x48/apps/tvm-*.png
%{_datadir}/icons/hicolor/scalable/apps/tvm-*.svg
%{_libexecdir}/thunar-volman-settings
%{_datadir}/applications/fedora-thunar-volman-settings.desktop


%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.0-2
- Autorebuild for GCC 4.3

* Mon Dec 03 2007 Christoph Wickert <fedora christoph-wickert de> - 0.2.0-1
- Update to 0.2.0 and Thunar 0.9.0

* Tue Aug 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-2
- Rebuild for BuildID feature

* Sun Jan 21 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.2-1
- Update to 0.1.2.

* Wed Jan 17 2007 Christoph Wickert <fedora christoph-wickert de> - 0.1.0-1
- Initial packaging.
